package com.fuzamei.entity;

/**
 * 
 * @className:User[用户实体类]
 * @author:ylx--->[yanglingxiao2009@163.com]
 * @date:2018年1月30日下午3:28:48
 * @version v1.0
 */
public class User {
	private String tokenId;	
	private Integer id;             //主键id
	private Integer userId;	        //用户id
	private Integer userIdb;	 

	private String  username;       //账号
	private String  password;       //密码
	private Integer roleId;        	//角色id
	private String  personName;    	//人名or公司名字
	private String random;         //随机数
	private Long createTime;      	//添加时间
	private Long updateTime;      	//更新时间
	private String roleName;		//角色名称
	private String token;			//令牌
	private String  sign;         //签名
	private Integer page;				//页数
	private Integer rowNum;				//每页显示得条数
	private Integer startPage;			//起始页
	private String userIds;				//被删除用户拼接的id号格式为：111,111,111,111
	private String[] userIdbs;			//被删除用户的id数组
	
	//下面 【操作记录表数据】
	private Integer  operatorId;         //操作人
	private String operatorName;		//操作人名
	private Integer operationTypeId;	//操作类型id
	private String operationTypeName;	//操作类型名
	private Integer beOperatedId;       //被操作人id
	private String beOperatedName;		//被操作人名
	private Long operationTime;			//操作时间
	private String hash;				//操作hash
	
	public String[] getUserIdbs() {
		return userIdbs;
	}
	public void setUserIdbs(String[] userIdbs) {
		this.userIdbs = userIdbs;
	}
	public String getUserIds() {
		return userIds;
	}
	public void setUserIds(String userIds) {
		this.userIds = userIds;
	}
	public String getTokenId() {
		return tokenId;
	}
	public void setTokenId(String tokenId) {
		this.tokenId = tokenId;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public Integer getUserIdb() {
		return userIdb;
	}
	public void setUserIdb(Integer userIdb) {
		this.userIdb = userIdb;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getRoleId() {
		return roleId;
	}
	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
	public String getPersonName() {
		return personName;
	}
	public void setPersonName(String personName) {
		this.personName = personName;
	}
	public String getRandom() {
		return random;
	}
	public void setRandom(String random) {
		this.random = random;
	}
	public Long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public Integer getPage() {
		return page;
	}
	public void setPage(Integer page) {
		this.page = page;
	}
	public Integer getRowNum() {
		return rowNum;
	}
	public void setRowNum(Integer rowNum) {
		this.rowNum = rowNum;
	}
	public Integer getStartPage() {
		return startPage;
	}
	public void setStartPage(Integer startPage) {
		this.startPage = startPage;
	}
	public Integer getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}
	public String getOperatorName() {
		return operatorName;
	}
	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}
	public Integer getOperationTypeId() {
		return operationTypeId;
	}
	public void setOperationTypeId(Integer operationTypeId) {
		this.operationTypeId = operationTypeId;
	}
	public String getOperationTypeName() {
		return operationTypeName;
	}
	public void setOperationTypeName(String operationTypeName) {
		this.operationTypeName = operationTypeName;
	}
	public Integer getBeOperatedId() {
		return beOperatedId;
	}
	public void setBeOperatedId(Integer beOperatedId) {
		this.beOperatedId = beOperatedId;
	}
	public String getBeOperatedName() {
		return beOperatedName;
	}
	public void setBeOperatedName(String beOperatedName) {
		this.beOperatedName = beOperatedName;
	}
	public Long getOperationTime() {
		return operationTime;
	}
	public void setOperationTime(Long operationTime) {
		this.operationTime = operationTime;
	}
	public String getHash() {
		return hash;
	}
	public void setHash(String hash) {
		this.hash = hash;
	}

	

	
	
	

}
